package com.syc.slm.slmbi.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * slm-bi
 * 查询仪表板列表DTO
 *
 * @author : lin
 * @date : 2021-03-30 16:07
 **/
@ApiModel(value = "查询仪表板列表DTO")
@Data
@EqualsAndHashCode(callSuper = true)
public class QueryInstrumentPanelDTO extends QueryPageDTO {
    @ApiModelProperty(value = "仪表板名称")
    private String name;
    @ApiModelProperty(value = "仪表板归属分组")
    private String groupId;
    @ApiModelProperty(value = "创建人名称")
    private String creatorName;
    @ApiModelProperty(value = "修改人名称")
    private String updaterName;
    @ApiModelProperty(value = "修改时间开始")
    private Date updateTimeBegin;
    @ApiModelProperty(value = "修改时间结束")
    private Date updateTimeEnd;
    @ApiModelProperty(value = "发布状态")
    private Integer published;
}
